> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get interactive lab details [bulk] 

> Get details of multiple interactive labs from their IDs

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-lab-details-bulk
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-lab-details-bulk:
    post:
      tags:
        - Lab
      summary: 'Get interactive lab details [bulk] '
      description: >-
        Get details of multiple interactive labs from their IDs


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          labIds:
                            type: array
                            items:
                              type: string
                              minLength: 1
                              description: ID of lab as specified in your fermion dashboard
                            minItems: 1
                            maxItems: 50
                        required:
                          - labIds
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                labs:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      labTitle:
                                        type: string
                                        description: Title of the lab
                                      labDescriptionMarkdown:
                                        type: string
                                        description: >-
                                          Description of the lab in markdown
                                          format
                                      defaultGitRepositoryUrl:
                                        anyOf:
                                          - type: string
                                            format: uri
                                          - nullable: true
                                          - nullable: true
                                      defaultGitRepositoryBranchName:
                                        anyOf:
                                          - type: string
                                          - nullable: true
                                          - nullable: true
                                      evaluationScriptBashCommand:
                                        anyOf:
                                          - type: string
                                          - nullable: true
                                          - nullable: true
                                      evaluationScriptTestFileContent:
                                        anyOf:
                                          - type: string
                                          - nullable: true
                                          - nullable: true
                                      testCases:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            testCaseId:
                                              type: string
                                              minLength: 1
                                            type:
                                              type: string
                                              enum:
                                                - SelfEvaluative
                                                - SystemEvaluative
                                            markdownLabel:
                                              type: string
                                              minLength: 1
                                            markdownHint:
                                              anyOf:
                                                - type: string
                                                - nullable: true
                                                - nullable: true
                                          required:
                                            - testCaseId
                                            - type
                                            - markdownLabel
                                            - markdownHint
                                    required:
                                      - labTitle
                                      - labDescriptionMarkdown
                                      - defaultGitRepositoryUrl
                                      - defaultGitRepositoryBranchName
                                      - evaluationScriptBashCommand
                                      - evaluationScriptTestFileContent
                                      - testCases
                              required:
                                - labs
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````